Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DPTCON

    java.lang.Object
      org.netlib.lapack.DPTCON

    public class DPTCON

extends java.lang.Object

    DPTCON is a simplified interface to the JLAPACK routine dptcon.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPTCON computes the reciprocal of the condition number (in the
     *  1-norm) of a real symmetric positive definite tridiagonal matrix
     *  using the factorization A = L*D*L**T or A = U**T*D*U computed by
     *  DPTTRF.
     *
     *  Norm(inv(A)) is computed by a direct method, and the reciprocal of
     *  the condition number is computed as
     *               RCOND = 1 / (ANORM * norm(inv(A))).
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          The n diagonal elements of the diagonal matrix D from the
     *          factorization of A, as computed by DPTTRF.
     *
     *  E       (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) off-diagonal elements of the unit bidiagonal factor
     *          U or L from the factorization of A,  as computed by DPTTRF.
     *
     *  ANORM   (input) DOUBLE PRECISION
     *          The 1-norm of the original matrix A.
     *
     *  RCOND   (output) DOUBLE PRECISION
     *          The reciprocal of the condition number of the matrix A,
     *          computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is the
     *          1-norm of inv(A) computed in this routine.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Further Details
     *  ===============
     *
     *  The method used is described in Nicholas J. Higham, "Efficient
     *  Algorithms for Computing the Condition Number of a Tridiagonal
     *  Matrix", SIAM J. Sci. Stat. Comput., Vol. 7, No. 1, January 1986.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DPTCON()`

Method Summary
`static void` | `DPTCON(int n, double[] d, double[] e, double anorm, doubleW rcond, double[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPTCON

    public DPTCON()

Method Detail

### DPTCON

    public static void DPTCON(int n,
                              double[] d,
                              double[] e,
                              double anorm,
                              doubleW rcond,
                              double[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD